__SHOST_FOR_EACH_DEV(9)

NAME
__shost_for_each_device - iterate over all devices of a host (UNLOCKED)

SYNOPSIS

__shost_for_each_device(sdev, shost);

ARGUMENTS

sdev
    the struct scsi_device to use as a cursor

shost
    the struct scsi_host to iterate over

DESCRIPTION

Iterator that returns each device attached to shost. It does _not_ take a reference on the scsi_device, so the whole loop must be protected by shost->host_lock.

NOTE

The only reason to use this is because you need to access the device list in interrupt context. Otherwise you really want to use shost_for_each_device instead.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT